Update the end user file's class
curl --request PATCH \
--url https://app.herondata.io/api/end_user_files/{heron_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"file_class": "<string>",
"page_classes": {},
"parent_heron_id": "<string>",
"reference_id": "<string>"
}
'import requests
url = "https://app.herondata.io/api/end_user_files/{heron_id}"
payload = {
"file_class": "<string>",
"page_classes": {},
"parent_heron_id": "<string>",
"reference_id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_class: '<string>',
page_classes: {},
parent_heron_id: '<string>',
reference_id: '<string>'
})
};
fetch('https://app.herondata.io/api/end_user_files/{heron_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bank_statement": null,
"created": "2023-11-07T05:31:56Z",
"email": null,
"file_class": "<string>",
"file_source_metadata": {},
"filename": "<string>",
"heron_id": "<string>",
"iso_application": {
"heron_id": "iso_6hBjQT9k6KP2rLCXwjUJff",
"processing_status": "processed"
},
"num_pages": 123,
"page_classes": {},
"parent_heron_id": "<string>",
"parsed_results": [],
"processing_error": "<string>",
"reference_id": "<string>",
"renamed_filename": "<string>"
}EndUserFiles
Update the end user file's class
Use this endpoint to change the end user file’s class. The file will be reprocessed as the new type.
PATCH
/
api
/
end_user_files
/
{heron_id}
Update the end user file's class
Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Example:
null
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I